Skip to content
Developer

MediaCardButton

Media6 EndpointsMedia / MediaCardButton

This method will get all MediaCardButton

GET/api/media/card_button

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of MediaCardButton objectsarray<MediaCardButton>

Show fields (22)
  • idinteger

    Primary key of the card button. Internal ID.

  • card_typestring

    Type of the card, for example a home screen tile.

  • card_conditionsstring

    Conditions under which the card is shown, as text.

  • tokenstring

    Public token of the card. Used instead of the ID.

  • language_codestring

    Language of the card, for example de or en.

  • icon_asset_namestring

    Name of the icon of the card.

  • icon_packagestring

    Icon package the icon belongs to.

  • icon_colorstring

    Color of the icon.

  • text_colorstring

    Color of the text.

  • background_colorstring

    Background color of the card.

  • link_actionstring

    Action when the card is tapped, for example open a page.

  • link_urlstring

    URL the card links to.

  • image_opacitynumber (float)

    Opacity of the background image, from 0 to 1.

  • ui_presetstring

    Layout preset of the card.

  • start_datestring (date-time)

    Start of the display period.

  • end_datestring (date-time)

    End of the display period.

  • dismissableboolean

    The user can hide the card.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/card_button \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "icon_asset_name": "Beispiel",
    "icon_color": "#3f5efb",
    "text_color": "#3f5efb",
    "background_color": "#3f5efb",
    "link_url": "https://vynst.de",
    "image_url": "https://vynst.de",
    "name": "Beispiel",
    "card_type": "string",
    "card_conditions": "string"
  }
]

Add a new MediaCardButton

POST/api/media/card_button

Responses

200Add a new MediaCardButtonMediaCardButton2

Show fields (25)
  • idinteger

    Primary key of the card button. Internal ID.

  • card_typestring

    Type of the card, for example a home screen tile.

  • card_conditionsstring

    Conditions under which the card is shown, as text.

  • tokenstring

    Public token of the card. Used instead of the ID.

  • language_codestring

    Language of the card, for example de or en.

  • icon_asset_namestring

    Name of the icon of the card.

  • icon_packagestring

    Icon package the icon belongs to.

  • icon_colorstring

    Color of the icon.

  • text_colorstring

    Color of the text.

  • background_colorstring

    Background color of the card.

  • link_actionstring

    Action when the card is tapped, for example open a page.

  • link_urlstring

    URL the card links to.

  • image_opacitynumber (float)

    Opacity of the background image, from 0 to 1.

  • ui_presetstring

    Layout preset of the card.

  • start_datestring (date-time)

    Start of the display period.

  • end_datestring (date-time)

    End of the display period.

  • dismissableboolean

    The user can hide the card.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage10>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser53

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • ucatsarray<UnifiedCategory28>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory28>

      Child categories.

    • parentUnifiedCategory28

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • namestring

    Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/card_button \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "icon_asset_name": "Beispiel",
  "icon_color": "#3f5efb",
  "text_color": "#3f5efb",
  "background_color": "#3f5efb",
  "link_url": "https://vynst.de",
  "image_url": "https://vynst.de",
  "name": "Beispiel",
  "card_type": "string",
  "card_conditions": "string"
}

This method will get a single MediaCardButton with the given id or token

GET/api/media/card_button/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single MediaCardButtonMediaCardButton

Show fields (22)
  • idinteger

    Primary key of the card button. Internal ID.

  • card_typestring

    Type of the card, for example a home screen tile.

  • card_conditionsstring

    Conditions under which the card is shown, as text.

  • tokenstring

    Public token of the card. Used instead of the ID.

  • language_codestring

    Language of the card, for example de or en.

  • icon_asset_namestring

    Name of the icon of the card.

  • icon_packagestring

    Icon package the icon belongs to.

  • icon_colorstring

    Color of the icon.

  • text_colorstring

    Color of the text.

  • background_colorstring

    Background color of the card.

  • link_actionstring

    Action when the card is tapped, for example open a page.

  • link_urlstring

    URL the card links to.

  • image_opacitynumber (float)

    Opacity of the background image, from 0 to 1.

  • ui_presetstring

    Layout preset of the card.

  • start_datestring (date-time)

    Start of the display period.

  • end_datestring (date-time)

    End of the display period.

  • dismissableboolean

    The user can hide the card.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/card_button/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "icon_asset_name": "Beispiel",
  "icon_color": "#3f5efb",
  "text_color": "#3f5efb",
  "background_color": "#3f5efb",
  "link_url": "https://vynst.de",
  "image_url": "https://vynst.de",
  "name": "Beispiel",
  "card_type": "string",
  "card_conditions": "string"
}

Update a MediaCardButton

PUT/api/media/card_button/{identifier}

Path parameters

identifierrequiredstring

Responses

200Update a MediaCardButtonMediaCardButton2

Show fields (25)
  • idinteger

    Primary key of the card button. Internal ID.

  • card_typestring

    Type of the card, for example a home screen tile.

  • card_conditionsstring

    Conditions under which the card is shown, as text.

  • tokenstring

    Public token of the card. Used instead of the ID.

  • language_codestring

    Language of the card, for example de or en.

  • icon_asset_namestring

    Name of the icon of the card.

  • icon_packagestring

    Icon package the icon belongs to.

  • icon_colorstring

    Color of the icon.

  • text_colorstring

    Color of the text.

  • background_colorstring

    Background color of the card.

  • link_actionstring

    Action when the card is tapped, for example open a page.

  • link_urlstring

    URL the card links to.

  • image_opacitynumber (float)

    Opacity of the background image, from 0 to 1.

  • ui_presetstring

    Layout preset of the card.

  • start_datestring (date-time)

    Start of the display period.

  • end_datestring (date-time)

    End of the display period.

  • dismissableboolean

    The user can hide the card.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage10>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser53

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • ucatsarray<UnifiedCategory28>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory28>

      Child categories.

    • parentUnifiedCategory28

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • namestring

    Name of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/media/card_button/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "icon_asset_name": "Beispiel",
  "icon_color": "#3f5efb",
  "text_color": "#3f5efb",
  "background_color": "#3f5efb",
  "link_url": "https://vynst.de",
  "image_url": "https://vynst.de",
  "name": "Beispiel",
  "card_type": "string",
  "card_conditions": "string"
}

Update a MediaCardButton

PATCH/api/media/card_button/{identifier}

Path parameters

identifierrequiredstring

Responses

200Update a MediaCardButtonMediaCardButton2

Show fields (25)
  • idinteger

    Primary key of the card button. Internal ID.

  • card_typestring

    Type of the card, for example a home screen tile.

  • card_conditionsstring

    Conditions under which the card is shown, as text.

  • tokenstring

    Public token of the card. Used instead of the ID.

  • language_codestring

    Language of the card, for example de or en.

  • icon_asset_namestring

    Name of the icon of the card.

  • icon_packagestring

    Icon package the icon belongs to.

  • icon_colorstring

    Color of the icon.

  • text_colorstring

    Color of the text.

  • background_colorstring

    Background color of the card.

  • link_actionstring

    Action when the card is tapped, for example open a page.

  • link_urlstring

    URL the card links to.

  • image_opacitynumber (float)

    Opacity of the background image, from 0 to 1.

  • ui_presetstring

    Layout preset of the card.

  • start_datestring (date-time)

    Start of the display period.

  • end_datestring (date-time)

    End of the display period.

  • dismissableboolean

    The user can hide the card.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage10>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser53

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • ucatsarray<UnifiedCategory28>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory28>

      Child categories.

    • parentUnifiedCategory28

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • namestring

    Name of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/media/card_button/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "icon_asset_name": "Beispiel",
  "icon_color": "#3f5efb",
  "text_color": "#3f5efb",
  "background_color": "#3f5efb",
  "link_url": "https://vynst.de",
  "image_url": "https://vynst.de",
  "name": "Beispiel",
  "card_type": "string",
  "card_conditions": "string"
}

Deletes a single MediaCardButton

DELETE/api/media/card_button/{identifier}

Path parameters

identifierrequiredstring

Responses

200Deletes a single MediaCardButtonMediaCardButton

Show fields (22)
  • idinteger

    Primary key of the card button. Internal ID.

  • card_typestring

    Type of the card, for example a home screen tile.

  • card_conditionsstring

    Conditions under which the card is shown, as text.

  • tokenstring

    Public token of the card. Used instead of the ID.

  • language_codestring

    Language of the card, for example de or en.

  • icon_asset_namestring

    Name of the icon of the card.

  • icon_packagestring

    Icon package the icon belongs to.

  • icon_colorstring

    Color of the icon.

  • text_colorstring

    Color of the text.

  • background_colorstring

    Background color of the card.

  • link_actionstring

    Action when the card is tapped, for example open a page.

  • link_urlstring

    URL the card links to.

  • image_opacitynumber (float)

    Opacity of the background image, from 0 to 1.

  • ui_presetstring

    Layout preset of the card.

  • start_datestring (date-time)

    Start of the display period.

  • end_datestring (date-time)

    End of the display period.

  • dismissableboolean

    The user can hide the card.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • namestring

    Name of the entity.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/media/card_button/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "icon_asset_name": "Beispiel",
  "icon_color": "#3f5efb",
  "text_color": "#3f5efb",
  "background_color": "#3f5efb",
  "link_url": "https://vynst.de",
  "image_url": "https://vynst.de",
  "name": "Beispiel",
  "card_type": "string",
  "card_conditions": "string"
}